Programming Options for Linux

Started by Donald Darden, May 01, 2008, 05:35:22 AM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Donald Darden

I finallly had a chance to look at kbasic again.  First, I downloaded and installed the trial Windows version as well, placing it on a virtual install of Windows 2000 Pro.  I want to see how closely the Linux and Windows versions seem to be to each other.

But after using chmod to get permissions set right on the Linux install of kbasic, I still could not get the executable files to run.  I tried calling them from a Terminal Console window, and found that I was getting error messages about some libraries not being loaded.  In looking for these, I only found them online in RPM packages for the Fedora distribution.  Normally, you need a tool like alien to convert from one package form to another, or to install a foreign package.  But alien was not installed on Ubuntu by default.  In trying to install it, I found that I had to mount the alternate install CD for Ubuntu 8.04.  With that done, I was able to get alien, and with it, I tried to install two of the errorred libraries.  But alien by default ignores any included script files, unless you add the parameter --scripts.  I did this, only to get an error, because a found difference in a path statement between Fedora and Ubuntu.

I took a break, then did some more checking online.  Though Ubuntu is listed as one of the distros supported for kbasic, that was Ubuntu 5.  We are currently up to Ubuntu 8.05, and Ubuntu switched from KDE to Gnome for its desktop.  And yes, it appears that the missing code is associated with KDE.

Well, this is the sort of struggle that is going on in the Linux community.  But Ubuntu is a very popular distro (and I really like it), so I decided to run an email over to the people at kbasic and see if they might lend me a hand getting this thing sorted out.  This being a weekend, it may take a few days to get a reply.  Meanwhile, I will see what my own efforts can achieve.
  •  

Donald Darden

Okay, this is what I have so far.  According to the folks at kbasic, their product should install on Ubuntu and work fine, and it is not dependent on either KDE or Gnome, but should work with either.  I haven't tried it with Ubuntu 7.10, but according to one link found, if you use sudo apt-get install libqt4-sql, it should then work.  When you get the kbasic download, it will be a bin file, and you have to change its properties to make it an executable. then enter the terminal mode and use ./installer_kbasic-professional_linux.bin in the folder where you downloaded it to in order to get it to execute.  It sets itself up.

Right now there are a couple of issues.  Under Ubuntu, the symbolic link to libQtGui.so.4 is found to be invalid when you try to run kbide in the /home/[username]/kbasic folder.  But the apt-get command above should have installed the package.  So I am talking to someone at kbasic to find out where kbasic is looking for the symbolic link and see if I can work around this.

The other problem is that with trial 1.6, the kbasic, readme, and uninstaller links that appear on the desktop are all locked.  Gmome can't figure out what the permissions are.  I found I had to use the terminal mode and the sudo command to get superuser privileges, then start using chmod at the kbasic folder and beyond to set privileges and get the locked status cleared.

So right now this is a work in progress, but I am encouraged that the people at kbasic tell me that this should be do-able.  Once we get this resolved, the results will be posted here.
  •  

Donald Darden

Okay, I have kbasic installed and working on Ubuntu 8.04, and documented that process in a separate thread to make it easier for others to find.  I will try to use this thread for discussing programming options for Linux in more general terms.
  •